Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.sigfile.f40
Class F40Writer

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.f40.F40Writer

All Implemented Interfaces:
  Writer

Direct Known Subclasses:
  F41Writer

    public class F40Writer

extends java.lang.Object
implements Writer

Constructor Summary
`F40Writer()`

Method Summary
`void` | `addFeature(FeaturesHolder.Feature feature)`
`void` | `close()`
`Format` | `getFormat()`
`void` | `init(java.io.PrintWriter out)`
`protected boolean` | `isMemberAccepted(MemberDescription mr, java.lang.String clsName)`
`void` | `setApiVersion(java.lang.String apiVersion)`
`void` | `setFormat(Format f)`
`void` | `write(ClassDescription classDescription)`
`protected void` | `write(java.lang.StringBuffer buf, ClassDescription m)`
`void` | `writeHeader()`
`protected void` | `writeHiders(ClassDescription classDescription, java.lang.StringBuffer buf)`
`protected void` | `writeInternalMembers(java.lang.StringBuffer buf, java.lang.String prefix, java.util.Set internalMembers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### F40Writer

    public F40Writer()

Method Detail

### init

    public void init(java.io.PrintWriter out)

  Specified by:
    `init` in interface `Writer`

### setFormat

    public void setFormat(Format f)

### getFormat

    public Format getFormat()

### addFeature

    public void addFeature(FeaturesHolder.Feature feature)

  Specified by:
    `addFeature` in interface `Writer`

### setApiVersion

    public void setApiVersion(java.lang.String apiVersion)

  Specified by:
    `setApiVersion` in interface `Writer`

### writeHeader

    public void writeHeader()

  Specified by:
    `writeHeader` in interface `Writer`

### write

    public void write(ClassDescription classDescription)

  Specified by:
    `write` in interface `Writer`

### isMemberAccepted

    protected boolean isMemberAccepted(MemberDescription mr,
                                       java.lang.String clsName)

### writeHiders

    protected void writeHiders(ClassDescription classDescription,
                               java.lang.StringBuffer buf)

### write

    protected void write(java.lang.StringBuffer buf,
                         ClassDescription m)

### writeInternalMembers

    protected void writeInternalMembers(java.lang.StringBuffer buf,
                                        java.lang.String prefix,
                                        java.util.Set internalMembers)

### close

    public void close()

  Specified by:
    `close` in interface `Writer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD